TIMEOUT(1)

NAME
timeout - run a command with a time limit

SYNOPSIS
timeout [OPTION] NUMBER[SUFFIX] COMMAND [ARG]...
timeout [OPTION]

DESCRIPTION

Start COMMAND, and kill it if still running after NUMBER seconds. SUFFIX may be `s' for seconds (the default), `m' for minutes, `h' for hours or `d' for days.

Mandatory arguments to long options are mandatory for short options too.

-s, --signal=SIGNAL

    specify the signal to be sent on timeout. SIGNAL may be a name like `HUP' or a number. See `kill -l` for a list of signals

--help
    display this help and exit

--version
    output version information and exit

If the command times out, then exit with status 124. Otherwise, exit with the status of COMMAND. If no signal is specified, send the TERM signal upon timeout. The TERM signal kills any process that does not block or catch that signal. For other processes, it may be necessary to use the KILL (9) signal, since this signal cannot be caught.

AUTHOR
Written by Padraig Brady.

REPORTING BUGS
Report timeout bugs to bug-coreutils@gnu.org
GNU coreutils home page: <http://www.gnu.org/software/coreutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>
Report timeout translation bugs to <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2010 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
kill(1)

The full documentation for timeout is maintained as a Texinfo manual. If the info and timeout programs are properly installed at your site, the command

    info coreutils 'timeout invocation'

should give you access to the complete manual.